Skip to main content
POST
Batch create user account entity relationships

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

A unique key for this request, up to 255 characters. Retrying with the same key and body returns the original response without creating the relationships twice. See Idempotency.

Maximum string length: 255

Path Parameters

user_account_id
string
required

User Account ID The ID of the User Account object.

Pattern: ^user_account_\w+$
Example:

"user_account_xyz123"

Body

application/json

Request body for batch creating entity relationships on an account.

entity_ids
string[]
required

List of entity IDs to associate with the account under the specified relationship type.

Maximum array length: 20

The ID of your entity.

Pattern: ^entity_[^\s]{1,33}$
relationship_type
enum<string>
required

Indicates the type of Entity

Available options:
account_holder,
authorized_signer,
authorized_user
Example:

"account_holder"

Response

Entity relationships created successfully.

user_account_id
string
required

The ID of the User Account object.

Pattern: ^user_account_\w+$
Example:

"user_account_xyz123"

relationship_type
enum<string>
required

Indicates the type of Entity

Available options:
account_holder,
authorized_signer,
authorized_user
Example:

"account_holder"

entity_ids
string[]
required

List of entity IDs associated with the user account under the specified relationship type.

The ID of your entity.

Pattern: ^entity_[^\s]{1,33}$